## 社保公积金管理需求文档

### 参保管理

参保管理是指为员工缴纳社会保险，其中社会保险目前分为五险，分别是养老保险，医疗保险，生育保险，失业保险和医疗保险。各地的政策不同，缴纳的基数，单位承担比例和个人承担比例不同。全国大多数省份的比例如下：

| 参保险种 | 单位承担比例(%) | 个人承担比例(%) |
| ---- | --------- | --------- |
| 养老保险 | 20        | 8         |
| 医疗保险 | 8         | 2         |
| 生育保险 | 0.5       | 0         |
| 失业保险 | 0.5       | 0.5       |
| 工伤保险 | 0.16      | 0         |

缴费基数各地不尽相同，但会设置上下限。缴费基数上限是指，职工工资收入超过上一年省、市在岗职工月平均工资算术平均数300%以上的部份不计入缴费基数；缴费基数下限是指，职工工资收入低于上一年省、市在岗职工月平均工资算术平均数60%的，以上一年省、市在岗职工月平均工资算术平均数的60%为缴费基数。

参保管理用于管理公司的社保缴纳成本，已经统计参保人员，并在录入工资条时提供社保扣除参考。

#### 参保列表

参保列表以公司为单位（包括分公司和总公司）展示公司当前参保基数及其对应的单位承担金额，个人承担金额一级可以展开查看明细。参保基数如果没有关联任何员工允许删除，已经关联的需要先取消关联后再删除。列表可以通过参保基数金额或名称搜索。排序规则按照参保基数从小到大排列。

![社保列表](image/socialInsuranceList.png)

#### 添加编辑社保基数

添加设备基数包括录入当前基数名称，参保基数金额，五项保险单位和个人分别承担的金额。其中参保基数金额不得超过99999.99，单位和个人承担金额不得超过参保基数，个人承担金额不得超过单位承担金额。其中输入完社保基数后按默认缴纳比例自动计算单位和个人分别承担的金额。录入人可以对金额进行修改，修改时反向计算单位和个人承担的比例。比例计算方法如下：

```
承担比例 = 金额 / 参保基数 * 100%
```

金额录入时需要更新总计缴纳，个人缴纳和单位缴纳的合计金额，方便与实际申报的社保费用比对。其中参保基数名称及参保基数金额要求在所在公司是唯一的，不允许重复。

编辑时不允许修改参保基数名称，但允许修改参保基数及单位个人承担比例（每年的社保基数都会根据当地工资水准进行调整）。

![参保编辑](image/socialInsuranceEdit.png)

#### 关联员工

关联员工用于确定公司下属员工属于哪一个参保基数，已确定每个月员工缴纳的社保费用。同一个员工只能关联一个参保基数。关联员工从该社保基数所属公司的下属部门及员工中选择。

![社保关联员工](image/socialInsuranceEmployee.png)



#### 导出参保人员

导出参保人员功能用于统计每个月的参保人员信息，一方面可以核对参保信息，一方面可以统计各个部门的参保成本。导出样例参考excel文件。


公积金管理是管理员工的公积金缴纳，公积金一般按照一个基数，公司和个人承担相同的比例，特殊的企事业单位可能公司承担比例更高。国内省份缴纳的比例12%，5%不等。住房公积金缴存基数按照职工本人上一年度年底应发工资全额进行核定，每年调整一次，缴存基数原则上不应超过职工工作地所在设区城市统计部门公布的上一年度职工月平均工资的3倍。

#### 公积金列表

公积金列表展示各个公司的公积金基数，单位缴纳金额，个人缴纳金额及相关的操作。列表排序按照缴纳基数从小到大升序。公积金列表如果已经关联了员工则不允许删除。

![公积金列表](image/accumulationFundList.png)

#### 添加编辑公积金基数

公积金基数录入包括名称，缴存基数。单位承担金额和个人承担金额。其中单位和个人默认比例为12%。填完基数后自动按比例计算单位和个人的承担金额。单位和个人的承担金额可以修改，修改时反向计算单位和个人承担比例。

公积金基数名称不允许修改，且在所属分公司要求唯一。

![添加公积金基数](image/accumulationfundAdd.png)

#### 公积金基数关联员工

该操作和社保关联员工类似，即一名员工只能关联一个缴纳基数，不再赘述。

#### 导出公积金人员

导出公积金人员功能用于统计每个月的公积金缴纳人员信息，一方面可以核对公积金缴存信息，一方面可以统计各个部门的公积金成本。导出样例参考excel文件。


